This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 710316

Summary: [REDWOOD] laptop dims the screen when reaching boot screen
Product: [Fedora] Fedora Reporter: atlee <atlee>
Component: xorg-x11-drv-atiAssignee: Jerome Glisse <jglisse>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: jglisse, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: [cat:power_mg]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 12:29:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg
none
messages log
none
xorg logs new and old
none
dmesg.txt from the archive
none
messages from the archive
none
Xorg.0.log from the archive
none
Xorg.0.log.old from the archive none

Description atlee 2011-06-02 23:02:34 EDT
Let me be more specific I can re-produce this every time i switch on my
machine, I can reproduce this problem after clean install.

Operating system: Fedora 15 x86_64
HP Pavilion DV6-3132TX
6GB DDR3
640GB SATA
ATI 5650

Test one:
1. Turn on machine
2. See the loading screen, as soon the logo shows the screen flicks from full
brightness to a very dimmed screen

My guess is video card or power management?

Test two:
1. Turn on machine
2. See the loading screen, as soon the logo shows the screen flicks from full
brightness to a very dimmed screen
3. Log into KDE
4. After loading, it changes screen brightness to full, laptop brightness keys
work

Test three:
1. Turn on machine
2. See the loading screen, as soon the logo shows the screen flicks from full
brightness to a very dimmed screen
3. Log into Gnome, screen dimmed does not change
4. Log out Gnome, Log into KDE
5. Brightness goes to full

Test four:
1. Turn on machine
2. See the loading screen, as soon the logo shows the screen flicks from full
brightness to a very dimmed screen
3. Log into KDE
4. After loading, it changes screen brightness to full, laptop brightness keys
work
5. Log out KDE, Log into Gnome
6. Full brightness

This above was tested using the built in drivers for ATI, The Open source ones
that come stock standard.

If i install ATI Proprietry then i lose all controls and brightness no matter
what desktop.

If i install akmod or kmod drivers then i lose all controls and brightness no
matter what desktop.

My laptop also runs an external monitor which shows full brightness if this
situation changes anything.

What should of happened:
Upon loading the KDE, Gnome, XFCE desktop enviroments the laptop screen should
switch to full brightness.

thanks
Comment 1 atlee 2011-06-05 10:21:18 EDT
Not sure if it's a bug however all laptops with my model will clean install fedora 15 and have the same problems.

I resolved this issue by adding the below to my grub.conf file:
acpi_osi=Linux acpi_backlight=vendor

Now computer boots full brightness. though brightness keys do not work.
Comment 2 Matěj Cepl 2011-06-06 16:50:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please remove all ACPI settings, and add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 atlee 2011-06-10 20:45:33 EDT
Created attachment 504225 [details]
dmesg

dmesg as requested
Comment 4 atlee 2011-06-10 20:46:21 EDT
Created attachment 504226 [details]
messages log

messages log as requested
Comment 5 atlee 2011-06-10 20:47:04 EDT
Created attachment 504227 [details]
xorg logs new and old

xorg logs current and old
Comment 6 atlee 2011-06-10 20:49:49 EDT
Hi Matej Cepl, Xorg.conf not available. but other files were. Please remember that the computer boots dimmed, XFCE and Gnome does not change brightness but KDE does switch on brightness. I can add acpi_osi=Linux acpi_backlight=vendor to grub.conf to fix the brightness but then my hotkeys do not work, the brightness is locked.

Hope this is enough info required.

Josh
Comment 7 atlee 2011-06-20 22:40:10 EDT
Hi Matej Cepl,

Will this be looked at or fixed with a patch? Let me know if you require any more information.

Kind regards
Josh
Comment 8 Matěj Cepl 2011-07-26 20:44:46 EDT
Created attachment 515385 [details]
dmesg.txt from the archive
Comment 9 Matěj Cepl 2011-07-26 20:44:58 EDT
Created attachment 515386 [details]
messages from the archive
Comment 10 Matěj Cepl 2011-07-26 20:45:05 EDT
Created attachment 515387 [details]
Xorg.0.log from the archive
Comment 11 Matěj Cepl 2011-07-26 20:45:13 EDT
Created attachment 515388 [details]
Xorg.0.log.old from the archive
Comment 12 Fedora End Of Life 2012-08-07 12:29:38 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping